package com.sunyard.ssp.vo;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liulu
 * @since 2024/11/15
 */
@Data
public class ScUserVo {
    private Long id;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 真实姓名
     */
    private String realname;

    /**
     * 组织机构id
     */
    private Long organizationId;

    /**
     * 手机号
     */
    private String tel;

    /**
     * 邮箱
     */
    private String email;
    /**
     * 状态：0：可用 1：不可用
     */
    private Integer status;
    private Integer positionId;
    private LocalDateTime updateTime;
    private LocalDateTime passUpdateTime;
    private Integer sex;
    private String avatar;
    private String uPublickey;
    private String positionName;
    private String departmentTitle;


}
