package com.sunyard.chsm.constant;

/**
 * @author Exrickx
 */
public interface SecurityConstant {

    /**
     * token分割
     */
    String TOKEN_SPLIT = "Bearer ";

    /**
     * JWT签名加密key
     */
    String JWT_SIGN_KEY = "keeper";

    /**
     * token参数头
     */
    String HEADER = "accessToken";

    String ATTRIBUTE_APP_USER = "ATTRIBUTE_APP_USER";

    /**
     * 权限参数头
     */
    String AUTHORITIES = "authorities";

    /**
     * 用户选择JWT保存时间参数头
     */
    String SAVE_LOGIN = "saveLogin";

    /**
     * github保存state前缀key
     */
    String GITHUB_STATE = "KEEPER_GITHUB:";

    /**
     * qq保存state前缀key
     */
    String QQ_STATE = "KEEPER_QQ:";

    /**
     * qq保存state前缀key
     */
    String WEIBO_STATE = "KEEPER_WEIBO:";

    /**
     * 交互token前缀key
     */
    String TOKEN_PRE = "KEEPER_TOKEN_PRE:";

    /**
     * 用户token前缀key 单点登录使用
     */
    String USER_TOKEN = "KEEPER_USER_TOKEN:";

    /**
     * 用户登陆之后的租户识别id
     * @auther: ZS
     * @description:
     * @param:
     * @return:
     * @date: 2019/3/20 16:21
     */
    String TENANT_ID = "KEEPER_TENANT_ID";

    /**
     * 更新用户接口url
     * @auther: ZS
     * @description:
     * @param:
     * @return:
     * @date: 2019/7/31 14:54
     */
    String USER_UPDATE_URL = "/keeper/user/admin/edit";

}
